Xerces2 Implementation: Class SchemaDOM

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class SchemaDOM

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultNode
            |
            +--org.apache.xerces.impl.xs.opti.NodeImpl
                  |
                  +--org.apache.xerces.impl.xs.opti.DefaultDocument
                        |
                        +--org.apache.xerces.impl.xs.opti.SchemaDOM

All Implemented Interfaces:
  org.w3c.dom.Document, org.w3c.dom.Node

public class SchemaDOM
extends DefaultDocument

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: SchemaDOM.java 446728 2006-09-15 20:43:46Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SchemaDOM()`

Method Summary
`ElementImpl` | `emptyElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, int line, int column)`
`ElementImpl` | `emptyElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, int line, int column, int offset)`
`void` | `endElement()`
`org.w3c.dom.Element` | `getDocumentElement()` This is a convenience attribute that allows direct access to the child node that is the document element of the document.
`static void` | `indent(int amount)`
`void` | `printDOM()`
`void` | `reset()`
`ElementImpl` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, int line, int column)`
`ElementImpl` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, int line, int column, int offset)`
`static void` | `traverse(org.w3c.dom.Node node, int depth)`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultDocument
`adoptNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getInputEncoding, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### SchemaDOM

    public SchemaDOM()

Method Detail

### startElement

    public ElementImpl startElement(org.apache.xerces.xni.QName element,
                                    org.apache.xerces.xni.XMLAttributes attributes,
                                    int line,
                                    int column,
                                    int offset)

### emptyElement

    public ElementImpl emptyElement(org.apache.xerces.xni.QName element,
                                    org.apache.xerces.xni.XMLAttributes attributes,
                                    int line,
                                    int column,
                                    int offset)

### startElement

    public ElementImpl startElement(org.apache.xerces.xni.QName element,
                                    org.apache.xerces.xni.XMLAttributes attributes,
                                    int line,
                                    int column)

### emptyElement

    public ElementImpl emptyElement(org.apache.xerces.xni.QName element,
                                    org.apache.xerces.xni.XMLAttributes attributes,
                                    int line,
                                    int column)

### endElement

    public void endElement()

### reset

    public void reset()

### printDOM

    public void printDOM()

### traverse

    public static void traverse(org.w3c.dom.Node node,
                                int depth)

### indent

    public static void indent(int amount)

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Description copied from interface: `org.w3c.dom.Document`
  This is a convenience attribute that allows direct access to the child node that is the document element of the document.
  Overrides:
    `getDocumentElement` in class `DefaultDocument`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.